---
sidebar_position: 4
description: Get calendar events and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get calendar events
 Gets events of calendars with or without filters



`Function GetCalendarEvents(Val URL, Val OwnerID, Val Type, Val Filter = "", Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | OwnerID | --owner | String, Number | &#x2714; | Calendar owner ID |
  | Type | --type | String | &#x2714; | Calendar type: user, group, company_calendar |
  | Filter | --filter | Structure Of KeyAndValue | &#x2716; | Events filter. See GetCalendarEventsFilterStructure |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [calendar.event.get](https://apidocs.bitrix24.ru/api-reference/calendar/calendar-event/calendar-event-get.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL     = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    OwnerID = 1;
    Type    = "user";

    Result = OPI_Bitrix24.GetCalendarEvents(URL, OwnerID, Type);

    URL         = "b24-ar17wx.bitrix24.by";
    Token       = "6ad03969006e9f06006b12e400000001000...";
    EventID     = "3300";
    CalendarID1 = "1774";
    CalendarID2 = "1776";

    Tomorrow = OPI_Tools.GetCurrentDate() + 86400;
    NextDay  = Tomorrow + 86400;

    ArrayOfCalendars = New Array;
    ArrayOfCalendars.Add(CalendarID1);
    ArrayOfCalendars.Add(CalendarID2);

    Filter = New Structure;
    Filter.Insert("from"   , Tomorrow);
    Filter.Insert("to"     , NextDay);
    Filter.Insert("section", ArrayOfCalendars);

    Result = OPI_Bitrix24.GetCalendarEvents(URL, OwnerID, Type, Filter, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint bitrix24 GetCalendarEvents \
             --url "b24-ar17wx.bitrix24.by" \
             --owner 1 \
             --type "user" \
             --filter "{'from':'12/11/2025 20:03:39','to':'12/12/2025 20:03:39','section':['1778','1780']}" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint bitrix24 GetCalendarEvents ^
             --url "b24-ar17wx.bitrix24.by" ^
             --owner 1 ^
             --type "user" ^
             --filter "{'from':'12/11/2025 20:03:39','to':'12/12/2025 20:03:39','section':['1778','1780']}" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": [
  {
   "ID": "3304",
   "PARENT_ID": "3304",
   "ACTIVE": "Y",
   "DELETED": "N",
   "CAL_TYPE": "user",
   "OWNER_ID": "1",
   "NAME": "New event",
   "DATE_FROM": "11.12.2025 20:03:00",
   "DATE_TO": "11.12.2025 21:03:00",
   "ORIGINAL_DATE_FROM": "***",
   "TZ_FROM": "Europe/Minsk",
   "TZ_TO": "Europe/Minsk",
   "TZ_OFFSET_FROM": "10800",
   "TZ_OFFSET_TO": "10800",
   "DATE_FROM_TS_UTC": "1765461797",
   "DATE_TO_TS_UTC": "1768068180",
   "DT_SKIP_TIME": "N",
   "DT_LENGTH": 3600,
   "EVENT_TYPE": null,
   "CREATED_BY": "1",
   "DATE_CREATE": "10.12.2025 23:03:19",
   "TIMESTAMP_X": "10.12.2025 23:03:19",
   "DESCRIPTION": "Event description",
   "DT_FROM": null,
   "DT_TO": null,
   "PRIVATE_EVENT": "1",
   "ACCESSIBILITY": "quest",
   "IMPORTANCE": "normal",
   "IS_MEETING": true,
   "MEETING_STATUS": "H",
   "MEETING_HOST": "1",
   "MEETING": {
    "HOST_NAME": "Антон Титовец",
    "NOTIFY": true,
    "REINVITE": "***",
    "ALLOW_INVITE": "***",
    "HIDE_GUESTS": true,
    "MEETING_CREATOR": 1,
    "LANGUAGE_ID": "ru",
    "MAIL_FROM": false
   },
   "LOCATION": "Office",
   "REMIND": [
    {
     "type": "day",
     "count": 1
    }
   ],
   "COLOR": "#230000",
   "TEXT_COLOR": "",
   "RRULE": {
    "FREQ": "DAILY",
    "COUNT": 3,
    "INTERVAL": 10,
    "UNTIL": "21.12.2025",
    "~UNTIL": "21.12.2025",
    "UNTIL_TS": 1766275200
   },
   "EXDATE": "",
   "DAV_XML_ID": "20251211T170300Z-398253bc6ee5d2ad073029f3cd332f0a@b24-ar17wx.bitrix24.by",
   "G_EVENT_ID": "",
   "DAV_EXCH_LABEL": "",
   "CAL_DAV_LABEL": "",
   "VERSION": "1",
   "ATTENDEES_CODES": [
    "***",
    "***"
   ],
   "RECURRENCE_ID": null,
   "RELATIONS": "",
   "SECTION_ID": "1778",
   "SYNC_STATUS": null,
   "UF_CRM_CAL_EVENT": false,
   "UF_WEBDAV_CAL_EVENT": false,
   "SECTION_DAV_XML_ID": null,
   "DATE_FROM_FORMATTED": "Thu Dec 11 2025 20:03:00",
   "DATE_TO_FORMATTED": "Thu Dec 11 2025 21:03:00",
   "IS_DAYLIGHT_SAVING_TZ": "N",
   "SECT_ID": "1778",
   "OPTIONS": null,
   "ATTENDEE_LIST": [
    {
     "id": 1,
     "entryId": "3304",
     "status": "H"
    },
    {
     "id": 10,
     "entryId": "3306",
     "status": "Q"
    }
   ],
   "COLLAB_ID": null,
   "~RRULE_DESCRIPTION": "каждый 10-й день, от 11.12.2025 до 21.12.2025",
   "attendeesEntityList": [
    {
     "entityId": "user",
     "id": 1
    },
    {
     "entityId": "user",
     "id": 10
    }
   ],
   "~DATE_FROM": "11.12.2025 20:03:00",
   "~DATE_TO": "11.12.2025 21:03:00",
   "RINDEX": 0,
   "~USER_OFFSET_FROM": 0,
   "~USER_OFFSET_TO": 0
  },
  {
   "ID": "3308",
   "PARENT_ID": "3308",
   "ACTIVE": "Y",
   "DELETED": "N",
   "CAL_TYPE": "user",
   "OWNER_ID": "1",
   "NAME": "New event",
   "DATE_FROM": "11.12.2025 20:03:00",
   "DATE_TO": "11.12.2025 21:03:00",
   "ORIGINAL_DATE_FROM": "***",
   "TZ_FROM": "Europe/Minsk",
   "TZ_TO": "Europe/Minsk",
   "TZ_OFFSET_FROM": "10800",
   "TZ_OFFSET_TO": "10800",
   "DATE_FROM_TS_UTC": "1765461797",
   "DATE_TO_TS_UTC": "1768068180",
   "DT_SKIP_TIME": "N",
   "DT_LENGTH": 3600,
   "EVENT_TYPE": null,
   "CREATED_BY": "1",
   "DATE_CREATE": "10.12.2025 23:03:21",
   "TIMESTAMP_X": "10.12.2025 23:03:21",
   "DESCRIPTION": "Event description",
   "DT_FROM": null,
   "DT_TO": null,
   "PRIVATE_EVENT": "1",
   "ACCESSIBILITY": "quest",
   "IMPORTANCE": "normal",
   "IS_MEETING": true,
   "MEETING_STATUS": "H",
   "MEETING_HOST": "1",
   "MEETING": {
    "HOST_NAME": "Антон Титовец",
    "NOTIFY": true,
    "REINVITE": "***",
    "ALLOW_INVITE": "***",
...
```
